getGprFiles <- function(path)
{
  files<-(dir(paste(path,"/data/rawfiles",sep="")))
  gprFiles <<- files[c(grep("*.GPR.GZ$", files),grep("*.gpr.gz$", files),grep("*.GPR$", files),grep("*.gpr$", files))]
  designo<-read.table(paste(path,"data/design/design.txt",sep="/"),header = TRUE)
  write.table(format(designo, justify="right"),sep="\t", quote=FALSE,
            row.names=F, col.names=T,file="design.tsv")
  return(list(gprFiles=gprFiles,designo=designo))
} # reading (*.gpr) files


getGalFiles <- function(path)
{
  files<-(dir(paste(path,"/data/rawfiles",sep="")))
  galFiles <- files[c(grep("*.GAL$", files),grep("*.gal$", files))]
  return(galFiles)
} # extracting  (*.gal) files names  

ReadGenePixTwoChannels<- function(path)
{ 
  files <<- getGprFiles(path)
  RFile <- read.maimages(files[[1]],source="genepix",path=paste(path,"/data/rawfiles",sep=""))
  return(list(RFile=RFile,designo=files[[2]]))
} # reading files 

ReadGenePixOneChannel<- function(path)
{ 
  files <<- getGprFiles(path)
  RFile <- read.maimages(files[[1]],source="genepix",path=paste(path,"/data/rawfiles",sep=""),green.only = T)
  return(list(RFile=RFile,designo=files[[2]]))

} 
getGprFilesImported <- function(listcelsfullpath,listfullnames)
{
  files<-listfullnames
  #gprFiles <<- listcelsfullpath[c(grep("*.GPR.GZ$", files),grep("*.gpr.gz$", files),grep("*.GPR$", files),grep("*.gpr$", files))]
  gprFiles <<- listcelsfullpath
   return(list(gprFiles=gprFiles))
} # reading (*.gpr) files


getGalFilesImported <- function(listcelsfullpath,listfullnames)
{
  files<-listfullnames
  #galFiles <- listcelsfullpath[c(grep("*.GAL$", files),grep("*.gal$", files))]
  galFiles <- listcelsfullpath
  return(galFiles)
} # extracting  (*.gal) files names  

ReadGenePixTwoChannelsImported<- function(listcelsfullpath,listfullnames)
{ 
  files <<- getGprFilesImported(listcelsfullpath,listfullnames)
  RFile <- read.maimages(files[[1]],source="genepix")
  return(list(RFile=RFile))
} # reading files 

ReadGenePixOneChannelImported<- function(listcelsfullpath,listfullnames)
{ 
  files <<- getGprFilesImported(listcelsfullpath,listfullnames)
  RFile <- read.maimages(files[[1]],source="genepix",green.only = T)
  return(list(RFile=RFile))

} 
